Source: accounts-qml6-module
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt6-dev,
               libsignon-qt6-dev,
               pkg-config,
               qt6-declarative-dev,
               qt6-tools-dev,
               qtchooser,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/accounts-qml-module
Vcs-Git: https://salsa.debian.org/ubports-team/accounts-qml-module.git
Vcs-Browser: https://salsa.debian.org/ubports-team/accounts-qml-module/

Package: qml6-module-sso-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Recommends: accounts-qml6-module-doc
Description: Expose the Online Accounts API to QML applications
 This QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt and
 libsignon-qt.

Package: accounts-qml6-module-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!cross>
Depends: ${misc:Depends}
Breaks: accounts-qml-module-doc (<< 0.7+git20231028.05e79eb-1)
Replaces: accounts-qml-module-doc (<< 0.7+git20231028.05e79eb-1)
Description: Online Accounts QML6 - documentation
 This QML6 module provides access to the Online Accounts framework from
 QML6 applications. It provides bindings to libaccounts-qt and
 libsignon-qt.
 .
 This package contains developer documentation.
